package com.liang.service;

import com.liang.entity.StaDeviceexpenses;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 仪器设备使用费(StaDeviceexpenses)表服务接口
 *
 * @author makejava
 * @since 2023-07-18 21:51:46
 */
public interface StaDeviceexpensesService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaDeviceexpenses queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staDeviceexpenses 筛选条件
     * @param pageRequest       分页对象
     * @return 查询结果
     */
    Page<StaDeviceexpenses> queryByPage(StaDeviceexpenses staDeviceexpenses, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staDeviceexpenses 实例对象
     * @return 实例对象
     */
    StaDeviceexpenses insert(StaDeviceexpenses staDeviceexpenses);

    /**
     * 修改数据
     *
     * @param staDeviceexpenses 实例对象
     * @return 实例对象
     */
    StaDeviceexpenses update(StaDeviceexpenses staDeviceexpenses);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取仪器设备使用费列表
     *
     * @return
     */
    List<StaDeviceexpenses> getSbsyfList(Integer zb);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除仪器设备使用费
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入仪器设备使用费
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaDeviceexpenses> expenseList);

}
